net.sourceforge.pmd.lang.java.ast

## Interface CanSuppressWarnings

- All Known Implementing Classes:
    ASTClassOrInterfaceBodyDeclaration, ASTFormalParameter, ASTLocalVariableDeclaration, ASTResource, ASTTypeDeclaration

      public interface CanSuppressWarnings

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `hasSuppressWarningsAnnotationFor(Rule rule)`

- - ### Method Detail

    - #### hasSuppressWarningsAnnotationFor

          boolean hasSuppressWarningsAnnotationFor(Rule rule)

Copyright © 2002-2013 InfoEther. All Rights Reserved.